Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class UserAuthenticationMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
          org.eclipse.ohf.ihe.atna.audit.messages.UserAuthenticationMessage

All Implemented Interfaces:
  java.io.Serializable

    public class UserAuthenticationMessage

extends AuditMessage
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_SAMPLE_PROPERTY`

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`DB_AuditMessage, VARCHAR_LENGTH`

Constructor Summary
`UserAuthenticationMessage(int eventOutcomIndicator, boolean login, java.lang.String userID, java.lang.String userName)` User authentication Login / Logout Audit Message.
`UserAuthenticationMessage(java.lang.String eventDateTime, int eventOutcomeIndicator, boolean login, java.lang.String userID, java.lang.String userName, short networkAccessPointTypeCode, java.lang.String networkAccessPointID, java.lang.String userIDofNodePerformingAuthentication)` User authentication Login / Logout Audit Message

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getSampleProperty()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setSampleProperty(java.lang.String value)`

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`getAuditSourceIdentification, getEventIdentification, getParticipantObjectIdentification, IsValid, main, parse, setActiveParticipant, setAuditSourceId, setAuditSourceIdentification, setEventDateTime, setEventIdentification, setEventOutcomeIndicator, setParticipantObjectId, setParticipantObjectQuery, setParticipationObjectIdentification, setUserIDActiveParticipantConsumer, setUserIDActiveParticipantRegistry, toHtml, toXml`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SAMPLE_PROPERTY

    public static final java.lang.String PROP_SAMPLE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### UserAuthenticationMessage

    public UserAuthenticationMessage(java.lang.String eventDateTime,
                                     int eventOutcomeIndicator,
                                     boolean login,
                                     java.lang.String userID,
                                     java.lang.String userName,
                                     short networkAccessPointTypeCode,
                                     java.lang.String networkAccessPointID,
                                     java.lang.String userIDofNodePerformingAuthentication)
                              throws javax.xml.parsers.ParserConfigurationException,
                                     javax.xml.parsers.FactoryConfigurationError,
                                     ATNAException

  User authentication Login / Logout Audit Message

  Parameters:
    `eventDateTime` -
    `eventOutcomeIndicator` - The eventOutcomeIndicator should be :
    0 : Success
    4 : Minor failure
    8 : Serious failure
    12: Major failure; action made unavailable
    `login` - true if this is a login event, false/otherwise if it is a logout event
    `userID` -
    `userName` -
    `networkAccessPointTypeCode` -
    1 - Machine Name, including DNS name
    2 - IP Address
    3 - Telephone Number
    `networkAccessPointID` -
    `userIDofNodePerformingAuthentication` -
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

### UserAuthenticationMessage

    public UserAuthenticationMessage(int eventOutcomIndicator,
                                     boolean login,
                                     java.lang.String userID,
                                     java.lang.String userName)
                              throws javax.xml.parsers.ParserConfigurationException,
                                     javax.xml.parsers.FactoryConfigurationError,
                                     ATNAException,
                                     java.net.UnknownHostException

  User authentication Login / Logout Audit Message. convience method - uses the local machine's IP address for the networkAccessPointID, and userIDofNodePerformingAuthentication, and the current time as the event time.

  Parameters:
    `eventDateTime` -
    `eventOutcomeIndicator` - The eventOutcomeIndicator should be :
    0 : Success
    4 : Minor failure
    8 : Serious failure
    12: Major failure; action made unavailable
    `login` - true if this is a login event, false/otherwise if it is a logout event
    `userID` -
    `userName` -
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`
    `java.net.UnknownHostException`

Method Detail

### getSampleProperty

    public java.lang.String getSampleProperty()

### setSampleProperty

    public void setSampleProperty(java.lang.String value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD